Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81566 - Kernel build breaks with CONFIG_PROFILING not defined
Summary: Kernel build breaks with CONFIG_PROFILING not defined
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-10 16:03 UTC by Need Real Name
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:23 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-10 16:03:39 UTC
Description of problem:
Kernel build breaks with CONFIG_PROFILING not defined.

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-2.9

How reproducible:
Always.

Steps to Reproduce:
1. make config
2. undefine CONFIG_PROFILING
3. make dep bzImage
    
Actual results:
...
make[1]: Entering directory `/usr/src/linux-2.4.20-2.9'
ld -m elf_i386 -T /usr/src/linux-2.4.20-2.9/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o
init/do_mounts.o --start-group arch/i386/kernel/kernel.o arch/i386/mm/mm.o
kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o  drivers/char/char.o
drivers/block/block.o drivers/misc/misc.o drivers/net/net.o
drivers/char/drm/drm.o drivers/ide/idedriver.o
drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
drivers/media/media.o net/network.o crypto/crypto.o
/usr/src/linux-2.4.20-2.9/arch/i386/lib/lib.a /usr/src/linux-2.4.20-2.9/lib/lib.a
/usr/src/linux-2.4.20-2.9/arch/i386/lib/lib.a --end-group  -o vmlinux
arch/i386/kernel/kernel.o(.data+0x464): In function `sys_call_table':
: undefined reference to `sys_lookup_dcookie'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.20-2.9'
make: *** [vmlinux] Error 2

Expected results:
Builded kernel.

Comment 1 Bugzilla owner 2004-09-30 15:40:23 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.